# junit-report

A clone of github.com/jstemmer/go-junit-report

---

Converts `go test` output to an xml report, suitable for applications that
expect junit xml reports (e.g. [Jenkins](http://jenkins-ci.org)).

## Installation

Go version 1.2 or higher is required. Install or update using the `go get`
command:

```bash
go get -u bitbucket.org/_metalogic_/junit-report
```

## Usage

go-junit-report reads the `go test` verbose output from standard in and writes
junit compatible XML to standard out.

```bash
go test -v 2>&1 | go-junit-report > report.xml
```

Note that it also can parse benchmark output with `-bench` flag:
```bash
go test -v -bench . -count 5 2>&1 | go-junit-report > report.xml
```

## Contribution

Create an Issue and discuss the fix or feature, then fork the package.
Clone to github.com/jstemmer/go-junit-report.  This is necessary because go import uses this path.
Fix or implement feature. Test and then commit change.
Specify #Issue and describe change in the commit message.
Create Pull Request. It can be merged by owner or administrator then.

### Run Tests

```bash
go test
```
